#
# Conditional build:
%bcond_without	python2		# Python 2.x module
%bcond_without	python3		# Python 3.x module

%define		module	coinkit
Summary:	Tools for Bitcoin and other cryptocurrencies
Name:		python-%{module}
Version:	0.3
Release:	9
License:	MIT
Group:		Libraries/Python
Source0:	https://github.com/halfmoonlabs/coinkit/archive/v%{version}.tar.gz
# Source0-md5:	2e5bd02391fa38766a5644e7abfa9750
URL:		https://github.com/halfmoonlabs/coinkit
BuildRequires:	rpmbuild(macros) >= 1.710
BuildRequires:	rpm-pythonprov
%if %{with python2}
BuildRequires:	python-devel
BuildRequires:	python-modules
%endif
%if %{with python3}
BuildRequires:	python3-2to3
BuildRequires:	python3-devel
BuildRequires:	python3-modules
%endif
Requires:	python
Requires:	python-ecdsa >= 0.10
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Tools for Bitcoin and other cryptocurrencies.

%package -n	python3-%{module}
Summary:	Tools for Bitcoin and other cryptocurrencies
Group:		Libraries/Python
Requires:	python3
Requires:	python3-ecdsa >= 0.10

%description -n python3-%{module}
Tools for Bitcoin and other cryptocurrencies.

%prep
%setup -q -n coinkit-%{version}

%build
%if %{with python2}
%py_build
%endif
%if %{with python3}
%py3_build
%endif

%install
rm -rf $RPM_BUILD_ROOT
%if %{with python2}
install -d $RPM_BUILD_ROOT%{_examplesdir}/python-%{module}-%{version}
%py_install
%endif

%if %{with python3}
install -d $RPM_BUILD_ROOT%{_examplesdir}/python3-%{module}-%{version}
%py3_install
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%files
%defattr(644,root,root,755)
%doc AUTHORS README.md
%{py_sitescriptdir}/%{module}
%{py_sitescriptdir}/*egg-info
%{_examplesdir}/python-%{module}-%{version}
%endif

%if %{with python3}
%files -n python3-%{module}
%defattr(644,root,root,755)
%doc AUTHORS README.md
%{py3_sitescriptdir}/%{module}
%{py3_sitescriptdir}/*egg-info
%{_examplesdir}/python3-%{module}-%{version}
%endif
%changelog
* Mon Oct 28 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-coinkit.git;a=log;h=auto/th/python-coinkit-0.3-9

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> 11d4770
- rebuild with python 3.8
- release 9 (by relup.sh)

* Sun Jul 01 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> cd0374e
- python 3.7 rebuild
- release 8 (by relup.sh)

* Thu Dec 29 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> c5ebdcb
- python 3.6
- release 7 (by relup.sh)

* Sat May 07 2016 Jan Rękorajski <baggins@pld-linux.org> 76bfd4d
- use rpm python macros
- rel 6

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> 94f1406
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 2dac6cb
- release 5 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 08477e5
- automatic change: use py_build/py_install macros

* Mon Sep 14 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 850f144
- python3.5 rebuild
- release 4 (by relup.sh)

* Sun Sep 13 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> cce31cc
- python 3.5 rebuild
- release 3 (by relup.sh)

* Sun Oct 19 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 9c0546f
- python 3.4
- release 2 (by relup.sh)

* Sun Feb 02 2014 Elan Ruusamäe <glen@delfi.ee> a3e835b
- simplify, unify

* Sun Feb 02 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 2388eb2
- add R python-ecdsa

* Sun Feb 02 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 25655a9
- initial

